SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
Samba Lets Remote Authenticated Users Gain Elevated Privileges
SecurityTracker Alert ID:  1037494
SecurityTracker URL:  http://securitytracker.com/id/1037494
CVE Reference:   CVE-2016-2125   (Links to External Site)
Date:  Dec 19 2016
Impact:   User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.0.25 - 4.5.2
Description:   A vulnerability was reported in Samba. A remote authenticated user can gain elevated privileges.

The client system requests a forwardable Ticket Granting Ticket (TGT) when using Kerberos authentication and forwards the ticket to the target service, which is part of trusted Kerberos realm. The target service can use the ticket to impersonate the authenticated entity and gain elevated privileges.

Simo Sorce of Red Hat reported this vulnerability.

Impact:   A remote authenticated user can gain elevated privileges on the target system.
Solution:   The vendor has issued a fix (4.3.13, 4.4.8, 4.5.3).

The vendor advisory is available at:

https://www.samba.org/samba/security/CVE-2016-2123.html

Vendor URL:  www.samba.org/samba/security/CVE-2016-2125.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Dec 19 2016 (Ubuntu Issues Fix) Samba Lets Remote Authenticated Users Gain Elevated Privileges
Ubuntu has issued a fix for Ubuntu Linux 12.04 LTS, 14.04 LTS, 16.04 LTS, and 16.10.
Mar 21 2017 (Red Hat Issues Fix) Samba Lets Remote Authenticated Users Gain Elevated Privileges
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Mar 21 2017 (Red Hat Issues Fix) Samba Lets Remote Authenticated Users Gain Elevated Privileges
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Mar 27 2017 (Red Hat Issues Fix for Red Hat Gluster Storage) Samba Lets Remote Authenticated Users Gain Elevated Privileges
Red Hat has issued a fix for Red Hat Gluster Storage for Red Hat Enterprise Linux 6.
Mar 28 2017 (Oracle Issues Fix for Oracle Linux) Samba Lets Remote Authenticated Users Gain Elevated Privileges
Oracle has issued a fix for samba4 for Oracle Linux 6.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC